Subject: Upgrade from 1.7.2 to 2.1.0

Posted on: 13/12/14 11:11am
By: gtgillis

I am trying to update a site from 1.7.2 to 2.1.0

I copied all of the 2.1.0 files to the server and used the URL http://www.mysite.net/admin/install/index.php and when prompted with "Step 1 - Choose an Installation Method" I selected upgrade.

I get a blank page on the URL http://www.mysite.net/admin/install/index.php?mode=upgrade&step=3&dbconfig_path=/home2/mysite/db-config.php&language=english&version=1.7.2

When I checked the error log I found the following which looks like the tables are not getting upgraded.

Sat Dec 13 08:48:53 2014 - 173.0.54.xxx - 1054: Unknown column 'whos_online' in 'field list' in /home2/mysite/system/lib-sessions.php:364. SQL in question: INSERT INTO gl_sessions (sess_id, uid, start_time, remote_ip, whos_online) VALUES (1270527288, 1, 1418485733, '173.0.54.232', 1)
Sat Dec 13 08:48:53 2014 - 173.0.54.xxx - E_USER_ERROR(256) - An SQL error has occurred. Please see error.log for details. @ /home2/mysite/system/databases/mysqli.class.php line 279

When I try the main site page I get the error "Unfortunately, an error has occurred rendering this page. Please try again later." with the same error log message as above.

The server is running PHP Version 5.2.17 and mySQL version 5.1.66.

Anyone have any idea's?

Re: Upgrade from 1.7.2 to 2.1.0

Posted on: 16/12/14 06:33am
By: Laugh

Hmmm... It has been a while since I looked at upgrades but yours has failed for some reason. It is probably missing more than just the whos_online column (which was introduced in Geeklog 2.0.0). You could try adding that column and see.

A few others have also had this problem. There might be a few clues in this topic:

https://www.geeklog.net/forum/viewtopic.php?showtopic=95585


Geeklog - Forum
https://www.geeklog.net/forum/viewtopic.php?showtopic=95894